Share via


Recoverable Databases - Get

Gets a recoverable database.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/recoverableDatabases/{databaseName}?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/recoverableDatabases/{databaseName}?$expand={$expand}&$filter={$filter}&api-version=2025-01-01

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

serverName
path True

string

The name of the server.

subscriptionId
path True

string

The subscription ID that identifies an Azure subscription.

api-version
query True

string

The API version to use for the request.

$expand
query

string

The child resources to include in the response.

$filter
query

string

An OData filter expression that filters elements in the collection.

Responses

Name Type Description
200 OK

RecoverableDatabase

Successfully retrieved the specified recoverable database.

Other Status Codes

ErrorResponse

*** Error Responses: ***

  • 400 ManagedInstanceStoppingOrStopped - Conflicting operation submitted while instance is in stopping/stopped state

  • 400 ManagedInstanceStarting - Conflicting operation submitted while instance is in starting state

  • 400 InvalidRecoverableDatabaseId - Invalid recoverable database identifier.

  • 404 ServerNotInSubscriptionResourceGroup - Specified server does not exist in the specified resource group and subscription.

  • 404 SubscriptionDoesNotHaveServer - The requested server was not found

  • 404 ResourceNotFound - The requested resource was not found.

  • 404 SubscriptionNotFound - The requested subscription was not found.

  • 429 SubscriptionTooManyRequests - Requests beyond max requests that can be processed by available resources.

  • 503 TooManyRequests - Requests beyond max requests that can be processed by available resources.

Examples

Get a recoverable database.
Gets a recoverable database with expand equals keys.

Get a recoverable database.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/recoverabledatabasetest-6852/providers/Microsoft.Sql/servers/recoverabledatabasetest-2080/recoverableDatabases/recoverabledatabasetest-9187?api-version=2025-01-01

Sample response

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/recoverabledatabasetest-6852/providers/Microsoft.Sql/servers/recoverabledatabasetest-2080/recoverableDatabases/recoverabledatabasetest-9187",
  "name": "recoverabledatabasetest-9187",
  "type": "Microsoft.Sql/servers/recoverableDatabases",
  "properties": {
    "edition": "Basic",
    "serviceLevelObjective": "Basic",
    "lastAvailableBackupDate": "2017-05-26T01:06:29.78Z",
    "elasticPoolName": null
  }
}

Gets a recoverable database with expand equals keys.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/recoverabledatabasetest-6852/providers/Microsoft.Sql/servers/recoverabledatabasetest-2080/recoverableDatabases/recoverabledatabasetest-9187?$expand=keys&api-version=2025-01-01

Sample response

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/recoverabledatabasetest-6852/providers/Microsoft.Sql/servers/recoverabledatabasetest-2080/recoverableDatabases/recoverabledatabasetest-9187",
  "name": "recoverabledatabasetest-9187",
  "type": "Microsoft.Sql/servers/recoverableDatabases",
  "properties": {
    "edition": "Basic",
    "serviceLevelObjective": "Basic",
    "lastAvailableBackupDate": "2017-05-26T01:06:29.78Z",
    "elasticPoolName": null,
    "keys": {
      "https://your-key-vault-name.vault.azure.net/yourKey/yourKeyVersion": {},
      "https://your-key-vault-name.vault.azure.net/yourKey2/yourKey2Version": {}
    }
  }
}

Definitions

Name Description
DatabaseKey

Database level key used for encryption at rest.

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RecoverableDatabase

A recoverable database resource.

DatabaseKey

Database level key used for encryption at rest.

Name Type Description
creationDate

string (date-time)

The database key creation date.

keyVersion

string

The database key's version.

subregion

string

Subregion of the server key.

thumbprint

string

Thumbprint of the database key.

type

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

Value Description
AzureKeyVault

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RecoverableDatabase

A recoverable database resource.

Name Type Description
id

string

Resource ID.

name

string

Resource name.

properties.edition

string

The edition of the database.

properties.elasticPoolName

string

The elastic pool name of the database

properties.keys

<string,  DatabaseKey>

The resource ids of the user assigned identities to use

properties.lastAvailableBackupDate

string (date-time)

The last available backup date.

properties.serviceLevelObjective

string

The service level objective name of the database.

type

string

Resource type.